/*
 * $XConsortium: Clock.h,v 1.4 89/07/21 13:44:44 jim Exp $
 */

#ifndef _XtClock_h
#define _XtClock_h

/***********************************************************************
 *
 * Clock Widget
 *
 ***********************************************************************/

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		pixel		White
 border		     BorderColor	pixel		Black
 borderWidth	     BorderWidth	int		1
 minute		     Foreground		Pixel		Black
 hour		     Foreground		Pixel		Black
 height		     Height		int		120
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 reverseVideo	     ReverseVideo	Boolean		False
 hourSound  	     HourSound		String		NULL
 quarterPastSound    QuarterPastSound	String		NULL
 halfPastSound 	     HalfPastSound	String		NULL
 quarterOfSound      QuarterOfSound	String		NULL
 chimeSound  	     ChimeSound		String		NULL
 volume		     Volume		int		75
 width		     Width		int		120
 x		     Position		int		0
 y		     Position		int		0

*/

#define XtNminute	"minute"
#define XtNhour		"hour"
#define XtNjewel	"jewel"

#ifdef SHAPE
#define XtNshapeWindow	"shapeWindow"
#define XtCShapeWindow	"ShapeWindow"
#endif

#define XtNhourSound "hourSound"
#define XtCHourSound "HourSound"
#define XtNquarterPastSound "quarterPastSound"
#define XtCQuarterPastSound "QuarterPastSound"
#define XtNhalfPastSound "halfPastSound"
#define XtCHalfPastSound "HalfPastSound"
#define XtNquarterOfSound "quarterOfSound"
#define XtCQuarterOfSound "QuarterOfSound"
#define XtNchimeSound "chimeSound"
#define XtCChimeSound "ChimeSound"
#define XtNvolume "volume"
#define XtCVolume "Volume"

typedef struct _ClockRec *ClockWidget;  /* completely defined in ClockPrivate.h */
typedef struct _ClockClassRec *ClockWidgetClass;    /* completely defined in ClockPrivate.h */

extern WidgetClass clockWidgetClass;

#endif /* _XtClock_h */
/* DON'T ADD STUFF AFTER THIS #endif */
